Package org.eclipse.rdf4j.benchmark.jmh_generated

## Class NoReasoningBenchmark_init_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.jmh_generated.NoReasoningBenchmark_init_jmhTest

-     public final class NoReasoningBenchmark_init_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoReasoningBenchmark_init_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `init_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `init_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)` |
    `static void` | `init_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `init_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `init_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `init_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `init_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `init_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoReasoningBenchmark_init_jmhTest

          public NoReasoningBenchmark_init_jmhTest()

  - ### Method Detail

    - #### init_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult init_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                             org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                      throws Throwable

      Throws:
        `Throwable`

    - #### init_thrpt_jmhStub

          public static void init_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                org.openjdk.jmh.results.RawResults result,
                                                org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                org.openjdk.jmh.infra.IterationParams iterationParams,
                                                org.openjdk.jmh.infra.ThreadParams threadParams,
                                                org.openjdk.jmh.infra.Blackhole blackhole,
                                                org.openjdk.jmh.infra.Control notifyControl,
                                                int startRndMask,
                                                NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)
                                         throws Throwable

      Throws:
        `Throwable`

    - #### init_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult init_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                              org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                       throws Throwable

      Throws:
        `Throwable`

    - #### init_avgt_jmhStub

          public static void init_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                               org.openjdk.jmh.results.RawResults result,
                                               org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                               org.openjdk.jmh.infra.IterationParams iterationParams,
                                               org.openjdk.jmh.infra.ThreadParams threadParams,
                                               org.openjdk.jmh.infra.Blackhole blackhole,
                                               org.openjdk.jmh.infra.Control notifyControl,
                                               int startRndMask,
                                               NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)
                                        throws Throwable

      Throws:
        `Throwable`

    - #### init_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult init_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                             org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                      throws Throwable

      Throws:
        `Throwable`

    - #### init_sample_jmhStub

          public static void init_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                 org.openjdk.jmh.results.RawResults result,
                                                 org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                 org.openjdk.jmh.infra.IterationParams iterationParams,
                                                 org.openjdk.jmh.infra.ThreadParams threadParams,
                                                 org.openjdk.jmh.infra.Blackhole blackhole,
                                                 org.openjdk.jmh.infra.Control notifyControl,
                                                 int startRndMask,
                                                 org.openjdk.jmh.util.SampleBuffer buffer,
                                                 int targetSamples,
                                                 long opsPerInv,
                                                 int batchSize,
                                                 NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)
                                          throws Throwable

      Throws:
        `Throwable`

    - #### init_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult init_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                 org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                          throws Throwable

      Throws:
        `Throwable`

    - #### init_ss_jmhStub

          public static void init_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                             org.openjdk.jmh.results.RawResults result,
                                             org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                             org.openjdk.jmh.infra.IterationParams iterationParams,
                                             org.openjdk.jmh.infra.ThreadParams threadParams,
                                             org.openjdk.jmh.infra.Blackhole blackhole,
                                             org.openjdk.jmh.infra.Control notifyControl,
                                             int startRndMask,
                                             int batchSize,
                                             NoReasoningBenchmark_jmhType l_noreasoningbenchmark0_0)
                                      throws Throwable

      Throws:
        `Throwable`